Package org.lwjgl.util.glu

# Class Disk

java.lang.Object
org.lwjgl.util.glu.Quadric
org.lwjgl.util.glu.Disk

public class Disk extends Quadric
Disk.java Created 23-dec-2003

Author:
  Erik Duijs

## Field Summary

### Fields inherited from class org.lwjgl.util.glu.Quadric

`drawStyle, normals, orientation, textureFlag`

## Constructor Summary

Constructors
Constructor
Description
`Disk()`
Constructor for Disk.

## Method Summary

Modifier and Type
Method
Description
`void`
`draw(float innerRadius, float outerRadius, int slices, int loops)`
renders a disk on the z = 0 plane.

### Methods inherited from class org.lwjgl.util.glu.Quadric

`cos, getDrawStyle, getNormals, getOrientation, getTextureFlag, normal3f, setDrawStyle, setNormals, setOrientation, setTextureFlag, sin, TXTR_COORD`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Disk

public Disk()
Constructor for Disk.

## Method Details

### draw

public void draw(float innerRadius, float outerRadius, int slices, int loops)
renders a disk on the z = 0 plane. The disk has a radius of outerRadius, and contains a concentric circular hole with a radius of innerRadius. If innerRadius is 0, then no hole is generated. The disk is subdivided around the z axis into slices (like pizza slices), and also about the z axis into rings (as specified by slices and loops, respectively). With respect to orientation, the +z side of the disk is considered to be "outside" (see glu.quadricOrientation). This means that if the orientation is set to GLU.OUTSIDE, then any normals generated point along the +z axis. Otherwise, they point along the -z axis. If texturing is turned on (with glu.quadricTexture), texture coordinates are generated linearly such that where r=outerRadius, the value at (r, 0, 0) is (1, 0.5), at (0, r, 0) it is (0.5, 1), at (-r, 0, 0) it is (0, 0.5), and at (0, -r, 0) it is (0.5, 0).